openSUSE Security Update : postgresql96 (openSUSE-2017-1411)

Medium Nessus Plugin ID 105454

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for postgresql96 fixes the following issues :

Security issues fixed :

- CVE-2017-15098: Fix crash due to rowtype mismatch in json{b}_populate_recordset() (bsc#1067844).

- CVE-2017-15099: Ensure that INSERT ... ON CONFLICT DO UPDATE checks table permissions and RLS policies in all cases (bsc#1067841).

Bug fixes :

- Update to version 9.6.6 :

- https://www.postgresql.org/docs/9.6/static/release-9-6-6.html

- https://www.postgresql.org/docs/9.6/static/release-9-6-5.html

This update was imported from the SUSE:SLE-12:Update update project.

Solution

Update the affected postgresql96 packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1067841

https://bugzilla.opensuse.org/show_bug.cgi?id=1067844

https://www.postgresql.org/docs/9.6/release-9-6-5.html

https://www.postgresql.org/docs/9.6/release-9-6-6.html

Plugin Details

Severity: Medium

ID: 105454

File Name: openSUSE-2017-1411.nasl

Version: 3.6

Type: local

Agent: unix

Published: 2017/12/26

Updated: 2018/12/18

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 5.5

Vector: CVSS2#AV:N/AC:L/Au:S/C:P/I:N/A:P

CVSS v3.0

Base Score: 8.1

Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:H

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:libecpg6, p-cpe:/a:novell:opensuse:libecpg6-32bit, p-cpe:/a:novell:opensuse:libecpg6-debuginfo, p-cpe:/a:novell:opensuse:libecpg6-debuginfo-32bit, p-cpe:/a:novell:opensuse:libpq5, p-cpe:/a:novell:opensuse:libpq5-32bit, p-cpe:/a:novell:opensuse:libpq5-debuginfo, p-cpe:/a:novell:opensuse:libpq5-debuginfo-32bit, p-cpe:/a:novell:opensuse:postgresql96, p-cpe:/a:novell:opensuse:postgresql96-contrib, p-cpe:/a:novell:opensuse:postgresql96-contrib-debuginfo, p-cpe:/a:novell:opensuse:postgresql96-debuginfo, p-cpe:/a:novell:opensuse:postgresql96-debugsource, p-cpe:/a:novell:opensuse:postgresql96-devel, p-cpe:/a:novell:opensuse:postgresql96-devel-debuginfo, p-cpe:/a:novell:opensuse:postgresql96-libs-debugsource, p-cpe:/a:novell:opensuse:postgresql96-plperl, p-cpe:/a:novell:opensuse:postgresql96-plperl-debuginfo, p-cpe:/a:novell:opensuse:postgresql96-plpython, p-cpe:/a:novell:opensuse:postgresql96-plpython-debuginfo, p-cpe:/a:novell:opensuse:postgresql96-pltcl, p-cpe:/a:novell:opensuse:postgresql96-pltcl-debuginfo, p-cpe:/a:novell:opensuse:postgresql96-server, p-cpe:/a:novell:opensuse:postgresql96-server-debuginfo, p-cpe:/a:novell:opensuse:postgresql96-test, cpe:/o:novell:opensuse:42.2, cpe:/o:novell:opensuse:42.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2017/12/22

Reference Information

CVE: CVE-2017-15098, CVE-2017-15099